net.sf.okapi.common.encoder

## Enum XMLEncoder.QuoteMode

- java.lang.Object
- - java.lang.Enum<XMLEncoder.QuoteMode>
  - - net.sf.okapi.common.encoder.XMLEncoder.QuoteMode

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<XMLEncoder.QuoteMode>
  Enclosing class:
    XMLEncoder

      public static enum XMLEncoder.QuoteMode
      extends java.lang.Enum<XMLEncoder.QuoteMode>

  Specifies the behavior for the escaping of single and double quotes.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ALL` Escape single and double quotes to a named entity.
    `DOUBLE_QUOTES_ONLY` Escape double quotes only.
    `NUMERIC_SINGLE_QUOTES` Escape double quotes to a named entity, and single quotes to a numeric entity.
    `UNESCAPED` Do not escape single or double quotes.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static XMLEncoder.QuoteMode` | `fromValue(int value)`
    `static XMLEncoder.QuoteMode` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static XMLEncoder.QuoteMode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### UNESCAPED

          public static final XMLEncoder.QuoteMode UNESCAPED

      Do not escape single or double quotes.

    - #### ALL

          public static final XMLEncoder.QuoteMode ALL

      Escape single and double quotes to a named entity.

    - #### NUMERIC_SINGLE_QUOTES

          public static final XMLEncoder.QuoteMode NUMERIC_SINGLE_QUOTES

      Escape double quotes to a named entity, and single quotes to a numeric entity.

    - #### DOUBLE_QUOTES_ONLY

          public static final XMLEncoder.QuoteMode DOUBLE_QUOTES_ONLY

      Escape double quotes only.

  - ### Method Detail

    - #### values

          public static XMLEncoder.QuoteMode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (XMLEncoder.QuoteMode c : XMLEncoder.QuoteMode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static XMLEncoder.QuoteMode valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### fromValue

          public static XMLEncoder.QuoteMode fromValue(int value)